[GATK 4.0.0.0] CollectRnaSeqMetrics --IGNORE_SEQUENCE as required argument?

RMuletRMulet BarcelonaMember

Hi,

I have been using an old version of PicardTools for some time and I have only recently decided to move to GATK4, mostly due to the improvements in performance. Upon doing so I have noticed that --IGNORE_SEQUENCE has become a required argument (see Documentation), whereas it used to be entirely optional (see the old documentation). It does not make much sense to me that the user has to specify a sequence that will be ignored, is it some kind of error?

Besides, the description of the option is truncated: "If a read maps to a sequence specified with this option, all the bases in the read are counted as ignored bases. These reads are not counted as "

The previous text continued with "Default value: null. This option may be specified 0 or more times." -- but of course it was optional back then.

Issue · Github
by Sheila

Issue Number
2890
State
closed
Last Updated
Assignee
Array
Closed By
chandrans

Best Answers

  • SheilaSheila Broad InstituteMember, Broadie, Moderator
    Accepted Answer

    @RMulet
    Hi,

    Got it. I just put in a feature request which you can keep track of here.

    -Sheila

Answers

  • SheilaSheila Broad InstituteMember, Broadie, Moderator

    @RMulet
    Hi,

    I think this must be a documentation error. I will make a note for the team. Thanks for bringing it to our attention.

    Can you just confirm the tool runs fine without --IGNORE_SEQUENCE?

    Thanks,
    Sheila

  • RMuletRMulet BarcelonaMember

    @Sheila said:
    @RMulet
    Hi,

    I think this must be a documentation error. I will make a note for the team. Thanks for bringing it to our attention.

    Can you just confirm the tool runs fine without --IGNORE_SEQUENCE?

    Thanks,
    Sheila

    Sorry for the delay. I did not receive any notification and I just remembered about this question. No, the tool does not run without --IGNORE_SEQUENCE, that's how I found out about this requirement. I have tried again and I got the following message:

    Argument IGNORE_SEQUENCE was missing: Argument 'IGNORE_SEQUENCE' is required.

  • RMuletRMulet BarcelonaMember

    Hi @shlee,

    Thanks for the prompt response! Indeed, I was using the GATK jar and this issue was resolved by running instead the standalone Picard jar. The program runs fine now.

    I have always used PicardTools from the GATK jar, assuming there was no difference. Should I use instead the standalone jar? Does this version also benefit from the performance improvements of GATK4?

    Issue · Github
    by shlee

    Issue Number
    2904
    State
    closed
    Last Updated
    Assignee
    Array
    Closed By
    chandrans
  • shleeshlee CambridgeMember, Broadie, Moderator
    edited February 13

    @RMulet,

    Being able to call Picard from the GATK jar is new to GATK4. Updates to the Picard standalone program will be more frequent than updates to the Picard version available in GATK4 releases. However, going forward, GATK4 releases will reflect the latest Picard available. This was not the case for GATK4.beta releases.

    Remember that updates are meant to bring improvements but can also introduce bugs.

    Ideally, we would like for folks to use the Picard tools from the GATK jar. So we really appreciate you reporting this bug. For this particular instance, given you are prohibited from moving forward with your analysis without the standalone jar, please definitely go ahead and use the standalone Picard jar.

    You can assume performance improvements are ongoing for both programs but they may differ in focus. So just be sure to use a recent release of Picard.

    P.S. Can you give us the versions of Picard (standalone) and GATK4 that you are using? Thanks.

  • RMuletRMulet BarcelonaMember
    edited February 14

    Hi @shlee,

    Thanks for the explanation. It is convenient to have everything in a single jar, so I will probably use GATK whenever possible -- except for this particular analysis of course.

    I am now using GATK 4.0.0.0 and Picard 2.16.0.

    Issue · Github
    by Sheila

    Issue Number
    89
    State
    closed
    Last Updated
    Closed By
    chandrans
  • SheilaSheila Broad InstituteMember, Broadie, Moderator
    Accepted Answer

    @RMulet
    Hi,

    Got it. I just put in a feature request which you can keep track of here.

    -Sheila

Sign In or Register to comment.